Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire
Enum Connection.CompressionPolicy

    java.lang.Object
      java.lang.Enum<Connection.CompressionPolicy>
          org.jivesoftware.openfire.Connection.CompressionPolicy

All Implemented Interfaces:
  Serializable, Comparable<Connection.CompressionPolicy>

Enclosing interface:
  Connection

    public static enum Connection.CompressionPolicy

extends Enum<Connection.CompressionPolicy>

Enumeration of possible compression policies required to interact with the server.

Enum Constant Summary
`disabled` compression is not available.
`optional` compression is optional to interact with the server.

Method Summary
`static Connection.CompressionPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Connection.CompressionPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### optional

    public static final Connection.CompressionPolicy optional

  compression is optional to interact with the server.

### disabled

    public static final Connection.CompressionPolicy disabled

  compression is not available. Entities that request a compression negotiation will get a stream error and their connections will be closed.

Method Detail

### values

    public static final Connection.CompressionPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Connection.CompressionPolicy c : Connection.CompressionPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Connection.CompressionPolicy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.